TFMTODIT(1)

NAME
tfmtodit - create font files for use with groff -Tdvi

SYNOPSIS
tfmtodit [-sv] [-g gf_file] [-k skewchar] tfm_file map_file font

It is possible to have whitespace between a command line option and its parameter.

DESCRIPTION
tfmtodit creates a font file for use with groff -Tdvi. tfm_file is the name of the TeX font metric file for the font. map_file is a file giving the groff names for characters in the font; this file should consist of a sequence of lines of the form:

    n c1 c2 ...

where n is a decimal integer giving the position of the character in the font, and c1, c2,... are the groff names of the character. If a character has no groff names but exists in the tfm file, then it will be put in the groff font file as an unnamed character. font is the name of the groff font file. The groff font file is written to font.

The -s option should be given if the font is special (a font is special if troff should search it whenever a character is not found in the current font.) If the font is special, it should be listed in the fonts command in the DESC file; if it is not special, there is no need to list it, since troff can automatically mount it when it's first used.

To do a good job of math typesetting, groff requires font metric information not present in the tfm file. The reason for this is that TeX has separate math italic fonts whereas groff uses normal italic fonts for math. The additional information required by groff is given by the two arguments to the math_fit macro in the Metafont programs for the Computer Modern fonts. In a text font (a font for which math_fitting is false), Metafont normally ignores these two arguments. Metafont can be made to put this information in the gf file by loading the following definition after cmbase when creating cm.base:

    def ignore_math_fit(expr left_adjustment,right_adjustment) =
        special "adjustment";
        numspecial left_adjustment*16/designsize;
        numspecial right_adjustment*16/designsize;
        enddef;

For the EC font family, load the following definition after exbase (it is probably easiest to patch exbase.mf locally):

    def ignore_math_fit(expr left_adjustment,right_adjustment) =
        ori_special "adjustment";
        ori_numspecial left_adjustment*16/designsize;
        ori_numspecial right_adjustment*16/designsize;
        enddef;

The gf file created using this modified cm.base or exbase should be specified with the -g option. The -g option should not be given for a font for which math_fitting is true.

OPTIONS

-v  Print the version number.

-s  The font is special. The effect of this option is to add the special command to the font file.

-kn The skewchar of this font is at position n. n should be an integer; it may be given in decimal, or with a leading 0 in octal, or with a leading 0x in hexadecimal. The effect of this option is to ignore any kerns whose second component is the specified character.

-ggf_file
    gf_file is a gf file produced by Metafont containing special and numspecial commands giving additional font metric information.

FILES
/usr/share/groff/1.20.1/font/devdvi/DESC Device description file.

/usr/share/groff/1.20.1/font/devdvi/F
    Font description file for font F.

SEE ALSO
groff(1), grodvi(1), groff_font(5)